Uses of Class
com.eqixiac.equinix.fabric.beta.client.AttachmentQuery
Packages that use AttachmentQuery
Package
Description
Public Fabric Beta client interfaces: the
FabricBeta hub and one client per family.Implementations of the Fabric Beta clients.
-
Uses of AttachmentQuery in com.eqixiac.equinix.fabric.beta.client
Methods in com.eqixiac.equinix.fabric.beta.client that return AttachmentQueryModifier and TypeMethodDescriptionSets the sort order (service defaultDESC).Adds lifecycle-state filter values (for examplePROVISIONEDorATTACHED; the generated state enums'getValue()gives the wire values).AttachmentQuery.style(AttachmentQuery.Style style) Sets the response detail level.Methods in com.eqixiac.equinix.fabric.beta.client with parameters of type AttachmentQueryModifier and TypeMethodDescriptionAppLinks.listAttachedAppDomains(String appLinkId, AttachmentQuery query) Get Attached Domains for Link:GET /fabric/v4/appLinks/{appLinkId}/appDomains(operationgetAttachedAppDomainsByAppLinkId).AppDomains.listAttachedAppLinks(String appDomainId, AttachmentQuery query) Get Attached Links for Domain:GET /fabric/v4/appDomains/{appDomainId}/appLinks(operationgetAttachedAppLinksByAppDomainId).AppServices.listAttachedAppLinks(String appServiceId, AttachmentQuery query) Get Attached Links for Service:GET /fabric/v4/appServices/{appServiceId}/appLinks(operationgetAttachedAppLinksByAppServiceId).AppLinks.listAttachedAppProcessors(String appLinkId, AttachmentQuery query) Get attached Processors for Link:GET /fabric/v4/appLinks/{appLinkId}/appProcessors(operationgetAttachedAppProcessorsByAppLinkId).AppLinks.listAttachedAppServices(String appLinkId, AttachmentQuery query) Get Attached Services for Link:GET /fabric/v4/appLinks/{appLinkId}/appServices(operationgetAttachedAppServicesByAppLinkId).AppServices.listAttachedAppSubscriptions(String appServiceId, AttachmentQuery query) Get Attached Subscriptions for Service:GET /fabric/v4/appServices/{appServiceId}/appSubscriptions(operationgetAttachedAppSubscriptionsByAppServiceId). -
Uses of AttachmentQuery in com.eqixiac.equinix.fabric.beta.client.implementation
Methods in com.eqixiac.equinix.fabric.beta.client.implementation with parameters of type AttachmentQueryModifier and TypeMethodDescriptionAppLinksImpl.listAttachedAppDomains(String appLinkId, AttachmentQuery query) AppDomainsImpl.listAttachedAppLinks(String appDomainId, AttachmentQuery query) AppServicesImpl.listAttachedAppLinks(String appServiceId, AttachmentQuery query) AppLinksImpl.listAttachedAppProcessors(String appLinkId, AttachmentQuery query) AppLinksImpl.listAttachedAppServices(String appLinkId, AttachmentQuery query) AppServicesImpl.listAttachedAppSubscriptions(String appServiceId, AttachmentQuery query)